"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const command_1 = tslib_1.__importDefault(require("../../lib/command"));
const openBrowser_1 = require("../../lib/webAuthHelper/openBrowser");
class Authorize extends command_1.default {
    async execute() {
        const { provider } = await inquirer_1.default.prompt([
            {
                name: 'provider',
                type: 'list',
                choices: ['gitlab', 'github'],
            },
        ]);
        const link = await this.codestore.Auth.authorizeGitProvider(provider);
        await openBrowser_1.openCustom(link);
    }
}
exports.default = Authorize;
Authorize.flags = Object.assign({}, command_1.default.flags);
