"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const command_1 = require("@oclif/command");
const command_2 = tslib_1.__importDefault(require("../../../lib/command"));
class Add extends command_2.default {
    async execute() {
        const parsed = this.parse(Add);
        const { args } = parsed;
        let { flags: { email } } = parsed;
        const project = await this.chooseProject(args, 'Choose a project you want to grant access to');
        if (!project) {
            return;
        }
        if (!email) {
            const { email: inputEmail } = await inquirer_1.default.prompt([
                {
                    name: 'email',
                    message: 'Email of the client:',
                },
            ]);
            email = inputEmail;
        }
        const client = await this.codestore.Project.createClientApiKey(project.id, email);
        if (client.email) {
            this.log('Email:', client.email);
        }
        this.log('Key:', client.key);
    }
}
exports.default = Add;
Add.description = 'Give a client access to production environment';
Add.args = [
    { name: 'projectArg', description: 'ID of the project' },
];
Add.flags = Object.assign(Object.assign({}, command_2.default.flags), { email: command_1.flags.string({
        char: 'e',
        helpValue: 'example@hotmail.com',
        description: 'Email address of a client',
    }) });
