"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = tslib_1.__importDefault(require("../../../lib/command"));
class List extends command_1.default {
    async execute() {
        const { args } = this.parse(List);
        const project = await this.chooseProject(args);
        if (!project) {
            return;
        }
        const clients = await this.codestore.Project.listClientsByUniqueName(project.uniqueName);
        this.renderTable(clients, { id: { header: 'Client ID' }, key: {}, email: {} });
    }
}
exports.default = List;
List.description = 'List clients which have access to the project';
List.args = [
    { name: 'projectArg', description: 'ID of the project' },
];
