"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = tslib_1.__importDefault(require("../../lib/command"));
class Info extends command_1.default {
    async execute() {
        var _a, _b;
        const { args } = this.parse(Info);
        let project = await this.chooseProject(args);
        if (!project) {
            return;
        }
        project = await this.codestore.Project.single(project.id, true);
        this.log('Project ID:\t', project.uniqueName);
        this.log('Status:\t\t', project.status);
        this.log('Services:\t', (_a = project.projectServices) === null || _a === void 0 ? void 0 : _a.length);
        this.log('Developer Key:\t', project.developerKey);
        this.log('Author:\t\t', (_b = project.author) === null || _b === void 0 ? void 0 : _b.email);
    }
}
exports.default = Info;
Info.description = 'Show information about the project';
Info.args = [
    { name: 'projectArg', description: 'ID of the project' },
];
