"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const command_1 = tslib_1.__importDefault(require("../../lib/command"));
const aliases_1 = tslib_1.__importDefault(require("../../common/constants/aliases"));
class List extends command_1.default {
    async execute() {
        const projects = await this.codestore.Project.list()
            .then((list) => list.map((project) => ({
            id: project.uniqueName,
            services: project.projectServices.length,
            author: project.author.email,
            description: project.description,
        })));
        if (!projects.length) {
            this.log(`There are no projects yet, try creating one using ${chalk_1.yellow(' codestore project:create ')} command.`);
            return;
        }
        this.renderTable(projects, {
            id: {
                header: 'Project ID',
            },
            services: {},
            author: {},
            description: {},
        });
    }
}
exports.default = List;
List.description = 'List projects in your organization';
List.aliases = [aliases_1.default.PROJECT_LS];
