"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const listr2_1 = require("listr2");
const command_1 = tslib_1.__importDefault(require("../../../lib/command"));
class Remove extends command_1.default {
    async execute() {
        const { args: { project_id: projectUniqueName, service_id: serviceUniqueName } } = this.parse(Remove);
        await new listr2_1.Listr([{
                title: `Excluding service with id ${chalk_1.blue(serviceUniqueName)} from project ${chalk_1.blue(projectUniqueName)}`,
                task: async (ctx, task) => {
                    const { status } = await this.codestore.Project.excludeServiceByUniqueName(projectUniqueName, serviceUniqueName);
                    task.title = `Service ${chalk_1.blue(serviceUniqueName)} has been removed from project ${chalk_1.blue(projectUniqueName)}\nStatus: ${chalk_1.bold(status)}.`;
                },
            }]).run();
    }
}
exports.default = Remove;
Remove.description = 'Exclude service from project. This is a potentially destructive operation that might result in a loss of data.';
Remove.args = [
    { name: 'project_id', required: true, description: '(required) ID of the project' },
    { name: 'service_id', required: true, description: '(required) ID of the service' },
];
