"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = require("chalk");
const base_secret_command_1 = tslib_1.__importDefault(require("../../common/base-secret-command"));
class List extends base_secret_command_1.default {
    async execute() {
        const { flags: { projectUniqueName, serviceUniqueName, environment } } = this.parse(List);
        base_secret_command_1.default.isSecretCommandValid(projectUniqueName, serviceUniqueName, environment);
        const query = { projectUniqueName, serviceUniqueName, environment };
        const secrets = await this.codestore.Secret.list(query);
        if (!secrets || !Object.keys(secrets).length) {
            this.log(`There are no secrets. But, you can add a new one using ${chalk_1.yellow('secret:add')} command`);
            return;
        }
        base_secret_command_1.default.renderSecrets(secrets);
    }
}
exports.default = List;
List.description = 'List secrets of your service';
List.flags = Object.assign({}, base_secret_command_1.default.defaultFlags);
