import { flags } from '@oclif/command';
import EnvironmentEnum from '../../common/constants/environment.enum';
import { IDeployment } from '../../interfaces/deployment.interface';
import Command from '../../lib/command';
export declare type Resolver = (deployment: IDeployment, developerKey?: string) => string;
export declare type Field = {
    name: string;
    resolve: Resolver;
};
export declare type CreateRowResult = {
    name: string;
    [key: string]: string;
};
export declare const getFieldResolvers: () => Field[];
declare type DeploymentToEnvironment = {
    [key in EnvironmentEnum]?: IDeployment;
};
export declare const deploymentsToEnvironments: (deployments: IDeployment[], environments: EnvironmentEnum[]) => DeploymentToEnvironment;
export declare const createColumns: (environments: EnvironmentEnum[], deployments: DeploymentToEnvironment) => object;
export default class Info extends Command {
    static description: string;
    static args: {
        name: string;
        description: string;
    }[];
    static flags: {
        service: flags.IOptionFlag<string | undefined>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbosePath: flags.IOptionFlag<string | undefined>;
    };
    execute(): Promise<void>;
}
export {};
