"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = tslib_1.__importDefault(require("../../lib/command"));
const aliases_1 = tslib_1.__importDefault(require("../../common/constants/aliases"));
class List extends command_1.default {
    async execute() {
        const services = await this.codestore.Service.list();
        if (!services.length) {
            this.log('You don\'t have any services yet. Try creating one by running `codestore service:create`.');
            return;
        }
        const rows = services.map((service) => ({
            id: service.uniqueName,
            name: service.displayName,
            // todo update when resolvers for deployments is ready
            status: service.status,
        }));
        this.renderTable(rows, {
            id: {
                header: 'Service ID',
            },
            name: {},
            status: {},
        });
    }
}
exports.default = List;
List.description = 'List services in your organization';
List.aliases = [aliases_1.default.SERVICE_LS];
