import { flags } from '@oclif/command';
import Command from '../../lib/command';
import ILog from '../../interfaces/log.interface';
import IQueryLog from '../../interfaces/query-log.interface';
import EnvironmentEnum from '../../common/constants/environment.enum';
import Aliases from '../../common/constants/aliases';
export default class Logs extends Command {
    logs: ILog[];
    static description: string;
    static aliases: Aliases[];
    static flags: {
        follow: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        num: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        env: flags.IOptionFlag<EnvironmentEnum>;
        projectUniqueName: flags.IOptionFlag<string | undefined>;
        serviceUniqueName: flags.IOptionFlag<string | undefined>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbosePath: flags.IOptionFlag<string | undefined>;
    };
    fetch(query: IQueryLog): Promise<Array<ILog>>;
    updateLogs(query: IQueryLog): Promise<void>;
    render(): void;
    execute(): Promise<void>;
}
