import { flags } from '@oclif/command';
import Command from '../lib/command';
import EnvironmentEnum from './constants/environment.enum';
import ISecret from '../interfaces/secret.interface';
export default class BaseSecretCommand extends Command {
    static defaultFlags: {
        projectUniqueName: flags.IOptionFlag<string | undefined>;
        environment: flags.IOptionFlag<EnvironmentEnum>;
        serviceUniqueName: flags.IOptionFlag<string | undefined>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbosePath: flags.IOptionFlag<string | undefined>;
    };
    protected static renderSecrets(secrets: ISecret): void;
    protected static isSecretCommandValid(projectUniqueName?: string, serviceUniqueName?: string, environment?: EnvironmentEnum): void;
    execute(): Promise<void>;
}
