"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = require("fs");
const codestore_utils_1 = require("codestore-utils");
const unzipper_1 = tslib_1.__importDefault(require("unzipper"));
const zip_tool_1 = tslib_1.__importDefault(require("./zip-tool"));
class FileWorker {
    static async saveZipFromB64(data, folderName) {
        const buffer = Buffer.from(data, 'base64');
        await codestore_utils_1.PromisifiedFs.writeFile('temp.zip', buffer);
        await fs_1.createReadStream('temp.zip')
            .pipe(unzipper_1.default.Extract({ path: folderName }))
            .promise();
        await codestore_utils_1.PromisifiedFs.unlink('temp.zip');
    }
    static async zipFolder() {
        const archiver = new zip_tool_1.default(process.cwd());
        const pathToZip = await archiver.zipFiles();
        const buffer = await codestore_utils_1.PromisifiedFs.readFile(pathToZip);
        await codestore_utils_1.PromisifiedFs.unlink(pathToZip);
        return buffer.toString('base64');
    }
}
exports.default = FileWorker;
