"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promiseToObservable = exports.createPrefix = exports.createSuffix = void 0;
const apollo_link_1 = require("apollo-link");
const chalk_1 = require("chalk");
exports.createSuffix = (value) => ` ${chalk_1.gray(`(${value})`)}:`;
exports.createPrefix = (value) => `${chalk_1.gray(`\n ${value}`)}\n`;
exports.promiseToObservable = (promise) => new apollo_link_1.Observable((observer) => {
    const subscriber = {
        complete: observer.complete.bind(observer),
        next: observer.next.bind(observer),
        error: observer.error.bind(observer),
    };
    promise.then((observable) => observable.subscribe(subscriber));
});
