"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable no-console */
const plugin_help_1 = tslib_1.__importDefault(require("@oclif/plugin-help"));
const chalk_1 = require("chalk");
class CustomHelp extends plugin_help_1.default {
    showRootHelp() {
        let rootTopics = this.sortedTopics;
        let rootCommands = this.sortedCommands;
        console.log(this.formatRoot());
        console.log('');
        console.log(chalk_1.bold('OR USE A SHORT ALIAS'));
        console.log('  $ cs [COMMAND]');
        console.log('');
        if (!this.opts.all) {
            rootTopics = rootTopics.filter((t) => !t.name.includes(':'));
            rootCommands = rootCommands.filter((c) => !c.id.includes(':'));
        }
        if (rootTopics.length > 0) {
            console.log(this.formatTopics(rootTopics));
            console.log('');
        }
        if (rootCommands.length > 0) {
            rootCommands = rootCommands.filter((c) => c.id);
            console.log(this.formatCommands(rootCommands));
            console.log('');
        }
    }
}
exports.default = CustomHelp;
