import ProjectServiceBillingType from '../common/constants/project-service-billing-type.enum';
import IClient from './client.interface';
import IEnvironment from './environment.interface';
import IService from './service.interface';
export default interface IProject {
    id: number;
    name: string;
    status: string;
    description?: string;
    projectServices: IProjectService[];
    uniqueName: string;
    author?: {
        email: string;
    };
    environments?: IEnvironment[];
    clients: IClient[];
    developerKey: string;
}
export interface IProjectCreate {
    name: string;
    description: string;
    proceed: boolean;
}
export interface IProjectService {
    serviceId: number;
    projectId: number;
    status: string;
    billingType: ProjectServiceBillingType;
    billingValue: string;
    service: IService;
}
