import IVersion from './version.interface';
import { IDeployment } from './deployment.interface';
import Template from '../common/constants/template.enum';
export default interface IService {
    id: number;
    createdAt: Date;
    updatedAt: Date;
    name: string;
    status: string;
    state: string;
    repositoryUrl: string;
    userId: number;
    displayName: string;
    organizationId: number;
    private: boolean;
    uniqueName: string;
    howSolving: string;
    problemSolving: string;
    deployments?: IDeployment[];
    developerKey: string;
    versions: IVersion[];
}
export interface IServiceCreateResult {
    service: IService;
    commitId: string;
}
export interface IServiceCreate {
    name: string;
    private: boolean;
    businessDomain: string;
    tags?: string;
    problemSolving: string;
    howSolving: string;
    template: Template;
    url?: string;
}
export interface IBaseFlags {
    verbose?: boolean | string;
    verbosePath?: string;
}
export declare type IServiceDataUI = Omit<IServiceCreate, 'problemSolving'> & {
    problem: string;
} & IBaseFlags;
