import { ApolloClient } from 'apollo-boost';
import Database from './api-services/database';
import Deployment from './api-services/deployment';
import Logs from './api-services/logs';
import Project from './api-services/project';
import Secret from './api-services/secret';
import Service from './api-services/service';
import User from './api-services/user';
import Auth from './api-services/auth';
import HomeFolderService from './home-folder-service';
import VerboseLogger from './verbose-logger';
import GitProviders from './api-services/git-providers';
export default class APIClient {
    private readonly homeFolderService;
    private readonly graphqlClient;
    readonly Database: Database;
    readonly Deployment: Deployment;
    readonly Logs: Logs;
    readonly Project: Project;
    readonly Secret: Secret;
    readonly Service: Service;
    readonly User: User;
    readonly Auth: Auth;
    readonly GitProviders: GitProviders;
    constructor(homeFolderService: HomeFolderService, graphqlClient: ApolloClient<unknown>, verbose: VerboseLogger);
    loginWeb(device: string): Promise<any>;
    loginWithEmailAndPassword(email: string, password: string, device: string): Promise<any>;
    logout(): Promise<void>;
}
