"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const apollo_boost_1 = require("apollo-boost");
const base_api_service_1 = tslib_1.__importDefault(require("../base-api-service"));
const queries_1 = require("./queries");
class Auth extends base_api_service_1.default {
    async login(email, password, device) {
        const { data: { login } } = await this.executeQuery(queries_1.LOGIN, { email, password, device });
        if (login) {
            return {
                refreshToken: login.refreshToken,
                accessToken: login.accessToken,
            };
        }
        throw new Error('Wrong email or password');
    }
    async refreshToken(refreshToken, device) {
        const { data: { refreshToken: tokens } } = await this.executeQuery(queries_1.REFRESH_TOKEN, { refreshToken, device });
        return {
            refreshToken: tokens.refreshToken,
            accessToken: tokens.accessToken,
        };
    }
    async authorizeGitProvider(provider) {
        const key = `${provider}Provider`;
        const query = apollo_boost_1.gql `query getProviderAuthData {
        ${key}
    }`;
        const { data } = await this.executeQuery(query);
        return data[key];
    }
}
exports.default = Auth;
