import ApiService from '../base-api-service';
import EnvironmentEnum from '../../../common/constants/environment.enum';
export declare type ImportResult = {
    inserted: number;
    sql: string;
    errorMessage?: string;
};
export default class Database extends ApiService {
    drop(serviceId: number, environment?: EnvironmentEnum, projectId?: number, restart?: boolean): Promise<void>;
    exportTable(serviceId: number, environment: EnvironmentEnum | undefined, projectId: number | undefined, table: string): Promise<string>;
    importTable(serviceId: number, environment: EnvironmentEnum | undefined, projectId: number | undefined, table: string, csvData: string, append: boolean): Promise<ImportResult>;
}
