"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base_api_service_1 = tslib_1.__importDefault(require("../base-api-service"));
const queries = tslib_1.__importStar(require("./queries"));
const environment_enum_1 = tslib_1.__importDefault(require("../../../common/constants/environment.enum"));
class Database extends base_api_service_1.default {
    async drop(serviceId, environment = environment_enum_1.default.PRIVATE, projectId = 0, restart = false) {
        await this.executeMutation(queries.DROP_SCHEMA, {
            database: {
                serviceId,
                environment,
                projectId,
            },
            restart,
        });
    }
    async exportTable(serviceId, environment = environment_enum_1.default.PRIVATE, projectId = 0, table) {
        const { data } = await this.executeQuery(queries.EXPORT_TABLE, {
            database: {
                serviceId,
                environment,
                projectId,
            },
            table,
        });
        return data.exportTable;
    }
    async importTable(serviceId, environment = environment_enum_1.default.PRIVATE, projectId = 0, table, csvData, append) {
        const { data } = await this.executeMutation(queries.IMPORT_TABLE, {
            database: {
                serviceId,
                environment,
                projectId,
            },
            table,
            csvData,
            append,
        });
        return data.importTable;
    }
}
exports.default = Database;
