"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IMPORT_TABLE = exports.EXPORT_TABLE = exports.DROP_SCHEMA = void 0;
const apollo_boost_1 = require("apollo-boost");
exports.DROP_SCHEMA = apollo_boost_1.gql `mutation($database:ServiceDatabase!, $restart: Boolean){
  dropSchema(database:$database, restart: $restart)
}`;
exports.EXPORT_TABLE = apollo_boost_1.gql `query($database:ServiceDatabase!, $table: String!){
  exportTable(database:$database, table: $table)
}`;
exports.IMPORT_TABLE = apollo_boost_1.gql `mutation($database:ServiceDatabase!, $table: String!, $csvData: String!, $append: Boolean){
  importTable(database:$database, table: $table, csvData: $csvData, append: $append) {
    inserted,
    sql,
    errorMessage,
  }
}`;
