"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GET_DEPLOYMENTS_FOR_PROJECT_SERVICE = exports.GET_DEPLOYMENTS_FOR_SERVICES = exports.GET_DEPLOYMENTS_FOR_SERVICE = exports.GET_DEPLOYMENT = void 0;
const apollo_boost_1 = require("apollo-boost");
const fields_1 = require("../fields");
exports.GET_DEPLOYMENT = apollo_boost_1.gql `
  query deploymentByProjectServiceAndEnvironment($serviceId: Int!, $environmentName: EnvironmentName, $projectId: Int){
    deploymentByProjectServiceAndEnvironment(serviceId: $serviceId, environmentName: $environmentName, projectId: $projectId ) {
      ${fields_1.DEPLOYMENT}
    }
  }
`;
exports.GET_DEPLOYMENTS_FOR_SERVICE = apollo_boost_1.gql `query deploymentsForService($serviceId: Int!){
  deploymentsForService(serviceId: $serviceId) {
    ${fields_1.DEPLOYMENT_WITH_ENVIRONMENT_NAME}
  }
}`;
exports.GET_DEPLOYMENTS_FOR_SERVICES = apollo_boost_1.gql `query deploymentsForServices($serviceIds: [Int!]!){
  deploymentsForServices(serviceIds: $serviceIds) {
    ${fields_1.DEPLOYMENT_WITH_ENVIRONMENT_NAME}
  }
}`;
exports.GET_DEPLOYMENTS_FOR_PROJECT_SERVICE = apollo_boost_1.gql `query deploymentsForProjectService($projectId: Int!, $serviceId: Int!){
  deploymentsForProjectService(projectId: $projectId, serviceId: $serviceId) {
    ${fields_1.DEPLOYMENT_WITH_ENVIRONMENT_NAME}
  }
}`;
