"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEPLOYMENT_WITH_ENVIRONMENT_NAME = exports.DEPLOYMENT = exports.SERVICE = exports.VERSION = exports.PROJECT = void 0;
exports.PROJECT = `
  id
  name
  author {
    email
  }
  status
  description
  uniqueName
  developerKey
`;
exports.VERSION = `
  id
  commitId
  createdAt
  updatedAt
  serviceId
  name
  description
`;
exports.SERVICE = `
  id
  createdAt
  updatedAt
  status
  state
  repositoryUrl
  displayName
  organizationId
  private
  uniqueName
  howSolving
  problemSolving
  developerKey
  template
  versions {
    ${exports.VERSION}
  }
`;
exports.DEPLOYMENT = `
  id
  createdAt
  updatedAt
  environmentId
  serviceId
  status
  commitId
  endpoint
  version {
    ${exports.VERSION}
    service {
      ${exports.SERVICE}
    }
  }
`;
exports.DEPLOYMENT_WITH_ENVIRONMENT_NAME = `
  ${exports.DEPLOYMENT}
  environment {
    name
  }
`;
