"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const apollo_boost_1 = require("apollo-boost");
const base_api_service_1 = tslib_1.__importDefault(require("../base-api-service"));
class GitProviders extends base_api_service_1.default {
    async listUsersProjects(provider, page = 1) {
        const key = `${provider}Projects`;
        const query = apollo_boost_1.gql `query getProjects($page:Int){
      ${key}(page:$page){
        id
        name
        url
      }
    }`;
        const { data } = await this.executeQuery(query, { page });
        return data[key];
    }
}
exports.default = GitProviders;
