import IProject from '../../../interfaces/project.interface';
import ApiService from '../base-api-service';
import ProjectServiceBillingType from '../../../common/constants/project-service-billing-type.enum';
import IClient from '../../../interfaces/client.interface';
import EnvironmentEnum from '../../../common/constants/environment.enum';
import { IDeployment } from '../../../interfaces/deployment.interface';
export default class Project extends ApiService {
    private transformProjectService;
    create(data: {
        name: string;
        description: string;
    }): Promise<IProject>;
    delete(id: number): Promise<boolean>;
    deleteByUniqueName(uniqueName: string): Promise<boolean>;
    list(): Promise<IProject[]>;
    singleByUniqueName(uniqueName: string, includeServices?: boolean): Promise<IProject>;
    single(id: number, includeServices?: boolean): Promise<IProject>;
    includeServiceByUniqueName(projectUniqueName: string, serviceUniqueName: string, billingType: ProjectServiceBillingType, billingValue: string): Promise<any>;
    excludeServiceByUniqueName(projectUniqueName: string, serviceUniqueName: string): Promise<any>;
    singleWithEnvsByUniqueName(uniqueName: string): Promise<IProject>;
    singleWithEnvs(projectId: number): Promise<IProject>;
    roll(data: {
        projectId: number;
        serviceId: number;
        commitId: string;
    }): Promise<IDeployment>;
    promoteService(data: {
        projectId: number;
        serviceId: number;
        targetEnvironment: EnvironmentEnum;
        sourceEnvironment: EnvironmentEnum;
    }): Promise<IDeployment>;
    promoteServiceByUniqueName(data: {
        projectUniqueName: string;
        serviceUniqueName: string;
        targetEnvironment: EnvironmentEnum;
        sourceEnvironment: EnvironmentEnum;
    }): Promise<IDeployment>;
    createClientApiKey(projectId: number, email?: string): Promise<IClient>;
    listClientsByUniqueName(uniqueName: string): Promise<IClient[] | undefined>;
    deleteClient(clientId: number): Promise<IClient[]>;
}
