"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DELETE_CLIENT_API_KEY = exports.LIST_CLIENTS = exports.CREATE_CLIENT_API_KEY = exports.PROMOTE_SERVICE_IN_PROJECT_BY_UNIQUE_NAME = exports.PROMOTE_SERVICE_IN_PROJECT = exports.ROLL = exports.SINGLE_PROJECT_INCLUDE_SERVICES = exports.SINGLE_PROJECT = exports.SINGLE_PROJECT_INCLUDE_SERVICES_BY_UNIQUE_NAME = exports.SINGLE_PROJECT_BY_UNIQUE_NAME = exports.SINGLE_PROJECT_ENV = exports.SINGLE_PROJECT_ENV_BY_UNIQUE_NAME = exports.LIST_PROJECTS = exports.DELETE_PROJECT_BY_UNIQUE_NAME = exports.DELETE_PROJECT = exports.CREATE_PROJECT = void 0;
const apollo_boost_1 = require("apollo-boost");
const fields_1 = require("../fields");
exports.CREATE_PROJECT = apollo_boost_1.gql `mutation createProject($data: InputProject!){
  createProject(data:$data){
    ${fields_1.PROJECT}
  }
}`;
exports.DELETE_PROJECT = apollo_boost_1.gql `mutation deleteProject($id: Int!){
  deleteProject(id: $id)
}`;
exports.DELETE_PROJECT_BY_UNIQUE_NAME = apollo_boost_1.gql `mutation deleteProject($uniqueName: String!) {
  deleteProjectByUniqueName(uniqueName: $uniqueName) {
    id
  }
}`;
exports.LIST_PROJECTS = apollo_boost_1.gql `query projects($pagination: PaginationOptions){
  projects(pagination:$pagination){
    author{
      email
    }
    ${fields_1.PROJECT}
    projectServices {
      service {
        ${fields_1.SERVICE}
      }
    }
  }
}`;
exports.SINGLE_PROJECT_ENV_BY_UNIQUE_NAME = apollo_boost_1.gql ` query project($uniqueName: String!) {
  project(uniqueName: $uniqueName) {
    ${fields_1.PROJECT}
    projectServices {
      service {
        ${fields_1.SERVICE}
      }
    }
    environments{
      name
      deployments{
        serviceId
        version{
          name
        }
      }
    }
  }
}`;
exports.SINGLE_PROJECT_ENV = apollo_boost_1.gql ` query project($id: Int!){
  project(id:$id){
    ${fields_1.PROJECT}
    projectServices {
      service {
        ${fields_1.SERVICE}
      }
    }
    environments{
      id
      name
      deployments{
        id
        status
        serviceId
        commitId
      }
    }
  }
}`;
exports.SINGLE_PROJECT_BY_UNIQUE_NAME = apollo_boost_1.gql ` query project($uniqueName: String!) {
  project(uniqueName: $uniqueName) {
    ${fields_1.PROJECT}
  }
}`;
exports.SINGLE_PROJECT_INCLUDE_SERVICES_BY_UNIQUE_NAME = apollo_boost_1.gql ` query project($uniqueName: String!) {
  project(uniqueName: $uniqueName) {
    ${fields_1.PROJECT}
    projectServices {
      service {
        ${fields_1.SERVICE}
      }
    }
  }
}`;
exports.SINGLE_PROJECT = apollo_boost_1.gql ` query project($id: Int!){
  project(id:$id){
    ${fields_1.PROJECT}
  }
}`;
exports.SINGLE_PROJECT_INCLUDE_SERVICES = apollo_boost_1.gql ` query project($id: Int!){
  project(id:$id){
    ${fields_1.PROJECT}
    projectServices {
      service {
        ${fields_1.SERVICE}
      }
    }
  }
}`;
exports.ROLL = apollo_boost_1.gql `mutation roll($data: Roll!) {
  roll(input:$data){
    id
    commitId
  }
}`;
exports.PROMOTE_SERVICE_IN_PROJECT = apollo_boost_1.gql `mutation promote($data: PromoteServiceInProject!) {
  promoteServiceInProject(input:$data){
    id
    commitId
  }
}`;
exports.PROMOTE_SERVICE_IN_PROJECT_BY_UNIQUE_NAME = apollo_boost_1.gql `mutation promote($data: PromoteServiceInProjectByUniqueName!) {
  promoteServiceInProjectByUniqueName(input:$data){
    id
    commitId
  }
}`;
exports.CREATE_CLIENT_API_KEY = apollo_boost_1.gql `mutation createClientApiKey($projectId: Int!, $email: String) {
  createClientApiKey(projectId: $projectId, email: $email) {
    id
    email
    key
  }
}`;
exports.LIST_CLIENTS = apollo_boost_1.gql `query project($uniqueName: String!) {
  project(uniqueName: $uniqueName) {
    clients {
      id
      email
      key
    }
  }
}`;
exports.DELETE_CLIENT_API_KEY = apollo_boost_1.gql `mutation deleteClientApiKey($clientId: Int!) {
  deleteClientApiKey(clientId: $clientId)
}`;
