"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const queries_1 = require("./queries");
const base_api_service_1 = tslib_1.__importDefault(require("../base-api-service"));
class Secret extends base_api_service_1.default {
    async list(query) {
        const { data } = await this.executeQuery(queries_1.LIST_SECRETS, { data: query });
        return data.getServiceSecrets;
    }
    async add(values) {
        const { data } = await this.executeQuery(queries_1.ADD_SECRET, { data: values });
        return data.setServiceSecret;
    }
    async remove(values) {
        const { data } = await this.executeQuery(queries_1.REMOVE_SECRET, { data: values });
        return data.removeServiceSecret;
    }
}
exports.default = Secret;
