import IService, { IServiceCreate, IServiceCreateResult } from '../../../interfaces/service.interface';
import ApiService from '../base-api-service';
import IChange from '../../../interfaces/change.interface';
export declare type GenerateAndDownloadResult = {
    data?: string;
    logs: string[];
};
export default class Service extends ApiService {
    list(includeDeployments?: boolean): Promise<IService[]>;
    create(service: IServiceCreate): Promise<IServiceCreateResult>;
    businessDomains(): Promise<string[]>;
    delete(id: number): Promise<{
        affected: number;
    }>;
    deleteByUniqueName(uniqueName: string): Promise<{
        affected: number;
    }>;
    download(id: number): Promise<string>;
    downloadByUniqueName(uniqueName: string): Promise<string>;
    push(encodedString: string, releaseNotes: string[], description: string): Promise<GenerateAndDownloadResult>;
    getServiceByUniqueName(uniqueName: string): Promise<IService>;
    getService(serviceId: number, includeDeployments?: boolean): Promise<IService>;
    checkServiceCreated(serviceId: number): Promise<boolean>;
    checkServiceDeployed(serviceId: number): Promise<boolean>;
    generateEntities(schema: string): Promise<GenerateAndDownloadResult>;
    promoteByUniqueName(uniqueName: string): Promise<IService>;
    promote(serviceId: number): Promise<IService>;
    isUniqueNameAvailable(displayName: string): Promise<{
        uniqueName: string;
        free: boolean;
        variants: string[];
    }>;
    compareSchemas(schema: String, serviceId: number): Promise<IChange[]>;
}
