"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
class ChildCliError extends Error {
    constructor(message, command) {
        super(message);
        this.message = message;
        this.command = command;
    }
    toString() {
        let message = `Failed to run ${chalk_1.yellow(this.command)}:\n${this.message.trim()}`;
        if (message.toLowerCase().includes('cannot find module')) {
            message += `\nTry run ${chalk_1.yellow('npm install')}`;
        }
        if (this.command.includes('migration')) {
            message += `\nTry run ${chalk_1.yellow(this.command)}`;
        }
        return message;
    }
}
exports.default = ChildCliError;
