"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installDependencies = exports.revertMigration = exports.runMigration = exports.compile = void 0;
const tslib_1 = require("tslib");
const util_1 = require("util");
const child_process_1 = tslib_1.__importDefault(require("child_process"));
const child_cli_error_1 = tslib_1.__importDefault(require("./child-cli.error"));
const exec = util_1.promisify(child_process_1.default.exec);
const runCommand = async (command) => {
    try {
        await exec(command);
    }
    catch (error) {
        throw new child_cli_error_1.default(error.stdout, command);
    }
};
const compile = () => runCommand('npx tsc');
exports.compile = compile;
const runMigration = () => runCommand('npm run migration:run');
exports.runMigration = runMigration;
const revertMigration = () => runCommand('npm run migration:revert');
exports.revertMigration = revertMigration;
const installDependencies = (serviceName) => (serviceName ? runCommand(`cd ${serviceName} && npm install`) : runCommand('npm install'));
exports.installDependencies = installDependencies;
