"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const inquirer_1 = tslib_1.__importDefault(require("inquirer"));
const command_1 = tslib_1.__importDefault(require("./command"));
const file_generator_1 = tslib_1.__importDefault(require("./file-generator"));
class CreateCommand extends command_1.default {
    // do not override this method because it uses execute method to provide base error handling logic.
    async run() {
        await this.execute();
    }
    async generate(strategy, force, name) {
        const generator = new file_generator_1.default(strategy, name);
        const path = await generator.isFileExists();
        if (path && !force) {
            const { shouldBeOverwritten } = await inquirer_1.default.prompt([{
                    name: 'shouldBeOverwritten',
                    message: `File ${path} already exists. Would you like to overwrite it?`,
                    type: 'confirm',
                    default: false,
                }]);
            if (!shouldBeOverwritten) {
                return '';
            }
        }
        return generator.generate();
    }
}
exports.default = CreateCommand;
CreateCommand.flags = Object.assign({}, command_1.default.flags);
