import { flags } from '@oclif/command';
import EnvironmentEnum from '../common/constants/environment.enum';
import IProject from '../interfaces/project.interface';
import IService from '../interfaces/service.interface';
import Command from './command';
export default class DbCommand extends Command {
    static flags: {
        environment: flags.IOptionFlag<string | undefined>;
        service: flags.IOptionFlag<string | undefined>;
        project: flags.IOptionFlag<string | undefined>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbosePath: flags.IOptionFlag<string | undefined>;
    };
    get rules(): {
        [key: string]: (value: any, data: {
            project?: number;
        }) => string | boolean;
    };
    execute(): Promise<any>;
    getDb(flagsData: any): Promise<{
        environment: EnvironmentEnum;
        service: IService;
        project: IProject;
    } | void>;
}
