"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitNotAuthorizedError = exports.GeneratorError = exports.NotAuthorizedError = exports.WrongFolderError = exports.BaseCodestoreError = void 0;
/* eslint-disable max-classes-per-file */
const chalk_1 = require("chalk");
class BaseCodestoreError extends Error {
}
exports.BaseCodestoreError = BaseCodestoreError;
class WrongFolderError extends BaseCodestoreError {
}
exports.WrongFolderError = WrongFolderError;
class NotAuthorizedError extends BaseCodestoreError {
    constructor() {
        super(`Seems that you're not logged in. Please execute ${chalk_1.yellow(' codestore login ')} command to sign-in again.`);
    }
}
exports.NotAuthorizedError = NotAuthorizedError;
class GeneratorError extends BaseCodestoreError {
    constructor(logs, logPath) {
        super(logs[logs.length - 1].replace(/^.*?: /g, ''));
        this.logs = logs;
        this.logPath = logPath;
    }
}
exports.GeneratorError = GeneratorError;
class GitNotAuthorizedError extends BaseCodestoreError {
    constructor() {
        super(`Seems that you're not authorized in selected git provider.
     Please execute ${chalk_1.yellow(' codestore git:authorize ')} command and follow instructions.`);
    }
}
exports.GitNotAuthorizedError = GitNotAuthorizedError;
