"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const codestore_utils_1 = require("codestore-utils");
const promisified_fs_tool_1 = tslib_1.__importDefault(require("codestore-utils/lib/tool/promisified-fs.tool"));
class GeneratorStrategy {
    constructor(fileTemplateName, basePathInProject) {
        this.fileTemplateName = fileTemplateName;
        this.basePathInProject = basePathInProject;
        this.fileTemplateName = fileTemplateName;
        this.basePathInProject = basePathInProject;
        this.rootFolderPath = path_1.default.join(codestore_utils_1.PathsResolverTool.SRC, this.basePathInProject);
    }
    static wrapName(name) {
        return `${name}.ts`;
    }
    setName(name) {
        if (!name) {
            this.generatedFileName = this.fileTemplateName;
            return;
        }
        this.generatedFileName = GeneratorStrategy.wrapName(name);
    }
    getPathToFile() {
        return path_1.default.join(this.rootFolderPath, this.generatedFileName);
    }
    getTemplatePath() {
        return path_1.default.join(__dirname, 'templates', this.fileTemplateName);
    }
    async createRootIfNotExists() {
        await promisified_fs_tool_1.default.createFolderIfNotExist(this.rootFolderPath);
    }
}
exports.default = GeneratorStrategy;
