/**
 * This authentication handler was generated by code.store CLI.
 *
 * Read more about how to use authentication handler in our documentation:
 * https://docs.code.store/getting-started/tutorials/authentication
 *
 * You can also join our community at https://spectrum.chat/code-store if you have any
 * questions which are not covered by the documentation.
 *
 */

import { AuthHandler } from 'codestore-utils';

/**
 * This is an authentication middleware which will be called for all GraphQL queries/mutations
 * marked with directive @auth.
 *
 * In order to use that directive in your GraphQL schema, add a following directive declaration
 * at the top of your GraphQL file:
 *   ...
 *   directive @auth on FIELD_DEFINITION
 *   ...
 * then use it in query/mutation declarations, for example:
 *   type Query {
 *     helloWorld: String! @auth
 *   }
 *
 * You can find some examples of how it can be used here:
 * https://docs.code.store/getting-started/tutorials/authentication
 *
 * @param context Request context
 * @returns An object that is going to be merged into the _context_ objects passed to resolvers
 */
const authHandler: AuthHandler = async (context) => {
  // your code goes here
  return {};
};

export default authHandler;
