"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const codestore_utils_1 = require("codestore-utils");
const latest_version_1 = tslib_1.__importDefault(require("latest-version"));
const debug = require('debug')('update-checker:get-version');
async function run(file, version) {
    debug('getting the latest version');
    const latest = await latest_version_1.default('codestore');
    debug(`got response from npmjs: ${latest}`);
    debug(`writing to file: ${JSON.stringify({ latest, current: version })}`);
    await codestore_utils_1.PromisifiedFs.writeFile(file, JSON.stringify({ latest, current: version }));
    process.exit(0);
}
run(process.argv[2], process.argv[3]).catch(require('@oclif/errors/handle'));
