"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const express_1 = tslib_1.__importDefault(require("express"));
const http_1 = require("http");
const path_1 = tslib_1.__importDefault(require("path"));
const emitter_1 = tslib_1.__importDefault(require("./emitter"));
const success_1 = tslib_1.__importDefault(require("./templates/success"));
const error_1 = tslib_1.__importDefault(require("./templates/error"));
const app = express_1.default();
app.set('views', path_1.default.join(__dirname, 'templates'));
/*
 We are using this express application to handle redirect and get user token from auth service.
 */
app.use('/', async (req, res) => {
    const { accessToken, refreshToken, error } = req.query;
    const success = accessToken && refreshToken && !error;
    // we have to emit emitter to close server, so CLI is able to end the process
    emitter_1.default.emit('auth', {
        success,
        accessToken,
        refreshToken,
        error,
    });
    const appUrl = process.env.CODESTORE_GATEWAY_HOST ? 'http://app.codestore.dev' : 'http://app.code.store';
    const template = success ? success_1.default(appUrl) : error_1.default();
    res.send(template);
});
exports.default = http_1.createServer(app);
