"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (apiUrl) => `<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Authentication success</title>
  <style>
    html {
      box-sizing: border-box;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
    }
    body {
      color: rgba(33, 33, 33, 0.87);
      margin: 0;
      font-size: 18px;
      max-width: 100%;
      min-height: 100vh;
      overflow-x: hidden;
      font-family: "Zilla Slab", Georgia, "Times New Roman", serif;
      font-weight: 300;
      line-height: 1.5;
      background-color: #fff;
    }
    .wrapper {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 100%;
      min-height: 100vh;
    }
    .content {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 33.33%;
      padding: 40px 0;
    }
    .logo {
      width: 48px;
      height: 48px;
      margin-bottom: 40px;
    }
    .caption {
      margin-top: 0;
      margin-bottom: 16px;
      font-size: 24px;
      font-family: TTFirsNeue, Roboto, Helvetica, Arial, sans-serif;
      text-align: center;
    }
    .text {
      margin-bottom: 32px;
      margin-top: 0;
      font-weight: 300;
      color: rgba(33, 33, 33, 0.54);
    }
    .link {
      padding: 0 16px;
      display: flex;
      height: 48px;
      justify-content: center;
      align-items: center;
      box-shadow: none;
      color: #fff;
      background-color: #0091EA;
      font-family: TTFirsNeue, Roboto, Helvetica, Arial, sans-serif;
      font-weight: 500;
      line-height: 1.75;
      text-decoration: none;
      transition: background-color 300ms ease-in-out 0s;
      border-radius: 4px;
    }
    .link:hover {
      background-color: #33A7EE;
    }
  </style>
</head>
<body>
<div class="wrapper">
  <div class="content">
    <div class="logo">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 48 48" focusable="false" aria-hidden="true" class="svg">
        <path fill="#0091EA"
              d="M36.263 6.052V1.92h-19.09C7.723 1.92 0 9.63 0 19.066c0 5.674 2.78 10.67 7.042 13.815 2.904 2.159 4.696 5.49 4.696 9.067v4.132h19.088C40.278 46.08 48 38.37 48 28.934c0-5.674-2.78-10.732-7.042-13.815-2.904-2.16-4.695-5.49-4.695-9.067zM4.633 19.066c0-6.908 5.622-12.52 12.479-12.52h14.517v5.242H17.36c-3.892 0-7.29 2.96-7.475 6.908-.185 4.132 3.15 7.586 7.228 7.586h13.714c1.421.062 2.595 1.172 2.595 2.652 0 1.418-1.174 2.59-2.595 2.652H16.371c-6.487-.37-11.738-5.86-11.738-12.52zm26.255 22.388H16.371l.061-5.304h14.27c3.522 0 6.61-2.405 7.229-5.86.864-4.563-2.657-8.634-7.105-8.634H17.112c-1.42-.061-2.595-1.172-2.595-2.652 0-1.418 1.174-2.59 2.595-2.652h14.456c6.61.37 11.86 5.86 11.86 12.52 0 6.97-5.621 12.582-12.54 12.582z" />
      </svg>
    </div>
    <h2 class="caption">You are successfully authorized into code.store CLI</h2>
    <p class="text">You can close this page or visit code.store</p>
    <a href="${apiUrl}" class="link">Go to code.store</a>
  </div>
</div>
</body>
</html>
`;
