/// <reference path="../global.d.ts" />
import { ConfigTypes, NonConfigEnv } from './configPaths';
export declare type Configurations<T> = {
    [key in keyof T]: any;
};
/**
 * Loads the configs provided in the {ConfigPaths}
 * If no config is found then an empty config is returned.
 * @param process {Process}
 * @return {defaultConfig, envConfig, deploymentConfig, userConfig}
 */
export declare const loadFileConfigs: <T extends NonConfigEnv>(process: T) => Configurations<ConfigTypes>;
